---
tags: post
layout: "layouts/article.njk"
title: "2000 Days"
date: "2014-02-17"
meta:
  description:
    After an incredible 5+ years, I made the difficult decision to move on
    from my position at Arc90 and Readability. This is an account of my time
    there.
---

<p class="entry-intro">
    That’s roughly the number of days I was a member of the team at
    <a href="http://arc90.com">Arc90</a>. Five years, five months, and a couple
    weeks. Feb. 14th 2014 was my last day. Leaving was a difficult and
    emotional decision, but after months of mulling it over I decided it
    was the right one to make.
</p>

Summer 2008. I was living in St. Louis, MO and working as a freelance
designer/developer. For months I’d had a nagging feeling that I couldn’t
articulate. The best I can describe it was a “pull” that was
originating from my gut. The feeling was telling me there was
something out there and I needed to go. The feeling didn’t bother to
let on what was out there, or where “there” was. It wanted somewhere
big though. Somewhere completely different from where I was then or
where I had been before. Los Angeles? Nah, too glossy. New York City?
Rough, the opposite of glossy. I’d only been to New York once before
for a few days years earlier. At the time I described it as “a cool
place to visit, but I couldn’t imagine living there.” The fact that
I didn’t see New York as a place for me became a reason to go. This
move wasn’t about comfort, it was about changing my life. Once I
knew where “there” was I decided quickly, almost cavalierly. When my
lease was up, I’d pack everything I owned into my Dodge Durango and
move to a new city half way across the country.

The freedom that comes with freelancing and working from home was
great, but I needed something new. I needed to be around other
designers and developers. I wanted to share the work I was doing
every day and learn from people that loved the Web like I did.

In my job search for “NYC Web designer”, “Front-end Web NYC”,
“NYC Web PHP”, etc I came across this
[job post](http://blog.arc90.com/2008/07/18/were-looking-for-the-lone-wolf-mcquade-of-php-development/).
PHP was my language of choice in ‘08 and wow, what a great post. No
long list of buzz word requirements, no arbitrary years of experience
necessary. Just three lighthearted, pointed paragraphs. Who was this company?
Who was behind it?

Time has claimed some of the styles, but the Arc90 jobs page from
July ‘08 is still available via the
[Wayback Machine](https://web.archive.org/web/20080715112955/http://arc90.com/jobs.php).
Here's a small portion:

<blockquote>
    <p>
        “...if you appreciate (and violently defend) standards-based
        technologies like <strong>XHTML</strong> and <strong>CSS</strong>...”
    </p>
</blockquote>

It's easy to take for granted in 2014, but in 2008 an agency
saying they wanted people that cared about Web Standards was
not the norm. That description was speaking to me.
It was saying all the things I wanted
a company to say. That sealed the deal. Arc90 was where I needed to be. I
hadn’t applied to anywhere else, and I wouldn’t. I wasn’t sure
that my PHP skills were good enough to get hired for the developer
position, but I was going for it anyway. I wanted to work for this company.
I <em>had</em> to work for this company.

When I got to New York on August 27th 2008 I sprinted to the Arc90
office. I didn’t start work for a few more days, but I couldn’t wait
to see the place and meet the people I’d only seen in
<a href="http://www.flickr.com/search/?q=arc90">photos</a> up to
that point. I was here. This place was real. I was a part of it.

Five years didn’t just happen. Working for a company is a
relationship. Relationships are hard and require work to maintain.
Over the years there’ve been ups and downs, too much work and too
little, I saw good people leave and great people join. There were
times I thought I was ready to throw in the towel, but didn’t. I
knew how special my relationship with Arc90 and the humans there was
so I stuck with it.

I wore a lot of hats. I designed a boatload of interfaces for
insurance software. Designed and built sites and an app for a
<a href="http://en.wikipedia.org/wiki/GradeGuru">failed education startup</a>.
Designed and helped build <a href="http://donahueapp.com">an app</a>
to experience conference talks in a novel way. I also made a couple
brief design visits to <a href="http://www.kindlingapp.com">an app</a>
that I saw grow from weekend project to successful business.

The best work I’ve ever done I did for
<a href="http://readability.com">Readability</a>. On Readability I
was able to stretch my abilities in ways that I never imagined I
would. My design and development skills were challenged and
strengthened like never before. As the Product Lead I had the
opportunity to shape the vision and direction of a product that I
used and continue to use every day. I was able to try my hand at
leading a team of incredible people to build incredible software.
Working to make the lives of the people I worked with more enjoyable
has been by far the most challenging thing I’ve done in my career.

I’m forever grateful for Arc90, the people there today, and all the
people that have come and gone. The opportunities it’s given me have altered
my life for the better. At Arc I was able to be a designer, developer,
writer, customer support, marketer, advocate, lobbyist, conflict
mediator, and–when needed–ad hoc therapist.

So why am I leaving now? It’s back. That feeling. That pull from my
gut that I felt back in St. Louis in ‘08. It’s telling me it’s time
to go again. Telling me something is out there. Telling me I need to
go find it. Like before, it’s not doing me any favors of being
specific about what “it” is. It’s not looking for a new “there” this
time. It’s just looking for a “what”. It wants change. It didn’t
let me down last time, so I’m not inclined to ignore it this time around.

I’m not sure what’s next, and that feels OK. I don’t have a new job
lined up. I don’t have any interviews or prospects. I’m on the hunt.
I’m going to spend my next handful of a days looking for it.
Meeting and talking with passionate people about what they’re working
on and what’s out there. I’m going to spend my next few days searching
for how I’ll spend my next 2000.

The world is bigger than ever right now. I can't wait to see what I find.

<i>Thanks for reading</i>
