---
tags: post
layout: "layouts/article.njk"
title: "How I Start"
date: "2014-07-10"
meta:
  description:
    Starting a new design is an exciting, weird, and sometimes frustrating
    process. No two designs start the same way, but for me, they tend to
    follow similar paths. This is a look into how I'm starting a redesign of
    my site.
---

        <p class="entry-intro">
            I'm beginning a design iteration of this site. I've started
            freelancing full time and I want the site to display more of my work
            and explain it in finer detail to give potential clients and collaborators
            a better idea of what I do and how I go about it.
            I love this early part of the process where everything is on the table,
            and up in the air, and I can get arty-farty and a little weird. Hold
            on tight, it's a bumpy ride.
        </p>
        <h2>Nonsense</h2>
        <p>
            This part of the process has no structure. I just like to
            make things as messy as possible. I immerse myself in the types of
            ideas I want to convey and the type of designer I want to be. I open
            100 browser tabs across 10 different windows. I keep multiple sketch books in front
            of me, a No. 2 pencil and busted, cheap sharpener. I drag out every
            micron pen I have, even though I'll probably not use any of them.
            I haven't yet, but I'll probably get out the paint and brushes to
            make a really big mess.
        </p>
        <figure>
            <img src="https://tylergaw.com/articles/assets/post-image-starting-sketches.jpg" alt="">
            <figcaption>
                Bad handwriting. Worse block lettering.
            </figcation>
        </figure>
        <p>
            In my sketchbooks I don't really sketch interface wireframes, but I do write lots of words
            and phrases. Some of them are ideas I want to convey. Some of them
            are just nonsense that I think is funny. "Hollerin'" "Sweatin'" "Braggin'"
            "BLACK" "MAKE IT EXTRA LARGE"
            "NO STRAIGHT LINES" "ALL RIGHT ANGLES" "Don't limit" "Do limit"
            and plenty more non-sequiturs, contradictions, and fibs
            that will have me scatching my head when I look back at them at some
            point in the future. I also draw plenty of skulls on fire and anarchy signs
            and all other types of bad drawings that look awesome on the back
            of 8th grader's notebooks.
        </p>
        <h2>Folks</h2>
        <p>
            I listen to artists and designers talk about making cool art and design.
            I have seen all of these multiple times, they never get old. I love them and
            they get me excited to design:
        </p>
        <ul>
            <li><a href="https://vimeo.com/39441590">Portland/CreativeMornings - Draplin</a></li>
            <li><a href="http://www.aiga.org/video-HHH-2013-draplin/">More Draplin - Tall Tales from a Large man</a></li>
            <li><a href="https://vimeo.com/20456428">Even more Draplin</a></li>
            <li><a href="https://vimeo.com/20777627">Draplin, shit! He's the best</a></li>
            <li><a href="http://hillmancurtis.com/artist-series/lawrence-weiner/">Design Matters: Lawrence Weiner</a></li>
            <li><a href="http://buy.beautyisembarrassing.com/">Beauty is Embarrassing - Wayne White</a></li>
            <li><a href="https://www.youtube.com/watch?v=JyRAHKTy6hI">Beautiful Losers - Buncha great folks</a></li>
        </ul>
        <figure>
            <img src="https://tylergaw.com/articles/assets/post-image-starting-art.png" alt="">
            <figcaption>
                Art, beards, grumpy men
            </figcation>
        </figure>
        <p>
            With all of those it's not even really about the crud they make. I
            don't sit and stare at the work they produce. I get inspired and excited
            hearing them talk about how much they love what they do, what it
            means to them, and what they think it means to other people.
        </p>
        <h2>Letters and Such</h2>
        <p>
            This time around I wrote names of different fonts that
            I was interested in using or just like the name; "Franklin Gothic Condensed",
            "Futura", "Roboto Slab", "Neue Helvetica 55 Roman".
        </p>
        <p>
            I hopped into ole sparky (PS) and threw together some of the type
            to see how it would look in the colors I have in mind. Again, no structure,
            just bashing on the keyboard and tweaking some settings here and there to
            see how things might work later.
        </p>
        <figure>
            <img src="https://tylergaw.com/articles/assets/post-image-starting-type.png" alt="">
            <figcaption>
                Playing around with some type treatments
            </figcation>
        </figure>
        <h2>Music</h2>
        <p>
            Music is always a huge part of my process. A <a href="http://www.rollingstone.com/music/videos/interpol-comes-out-of-the-black-in-all-the-rage-back-home-video-20140709">new Interpol song</a> was
            released yesterday. It's awesome. I've listened to it about 999 times so far.
            It's having an impact on my brain and designs.
        </p>
        <iframe width="100%" height="325" src="//www.youtube.com/embed/-u6DvRyyKGU" frameborder="0" allowfullscreen></iframe>
        <p>
            Here's some other crud I have on repeat that will also have an impact on the design:
        </p>
        <ul>
            <li><a href="http://www.rdio.com/artist/Interpol/album/Our_Love_To_Admire/">Our Love to Admire - Interpol</a></li>
            <li><a href="https://twitter.com/ANTEMASQUE">ANTEMASQUE - ANTEMASQUE</a></li>
            <li><a href="http://www.rdio.com/artist/AFI/album/Burials_(Digital_Booklet_Version)/">Burials - AFI</a></li>
            <li><a href="http://www.rdio.com/artist/Every_Time_I_Die/album/From_Parts_Unknown/">From Parts Unknown - Every Time I Die</a></li>
            <li><a href="http://www.rdio.com/artist/Lana_Del_Rey/album/Ultraviolence_(Deluxe)/">Ultraviolence - Lana Del Rey</a></li>
            <li><a href="http://nadiesound.com/album/cry-is-for-the-flies">Cry Is For The Flies - Le Butcherettes</a></li>
            <li><a href="http://www.rdio.com/artist/Mastodon/album/Once_More_%27Round_The_Sun_1/">Once More 'Round The Sun - Mastodon</a></li>
        </ul>
        <p>
            That's pretty heavy list. This design is most likely going
            to be dark, loud, bold, and brooding. Simple and clean can take a
            long walk off a short pier.
        </p>

        <h2>6th Grade Art Class</h2>
        <p>
            Here's something I haven't done for designs in the past, but felt
            compelled to for this one. I pulled out a stack of old magazines and
            have been tearing through them cutting things out to make crap little
            collages. I'm not putting much thought into the pieces. These aren't
            "mood boards" or whatever. Just flipping the pages and if something
            catches my eye I hack it out and throw it on some paper. A piece of
            text that's bright. Some dumb phrase. Creepy dude eyes. Anything that's
            interesting.
        </p>
        <figure>
            <img src="https://tylergaw.com/articles/assets/post-image-starting-collage.png" alt="">
            <figcaption>
                Cuttin’ out Hetfield's eyeballs for shits and giggles
            </figcation>
        </figure>
        <p>
            These collages aren't going to be part of the design, they're
            just a way for me to get moving. Computers are too damn slow. I
            need to use my hands to move fast and toss shit around and scribble and just
            be a wreck in general. It helps me get my entire self into it.
        </p>
        <h2>These Silly Paragraphs</h2>
        <p>
            This post is part of it too. This isn't meant to be some how-to or
            "10 Clever Ways to Inspire Your Next Responsive E-Commerce Design" post.
            Like the rest of the process, it's messy. It's unedited and maybe unfinished.
            It's also a chance to stop and think about what I'm doing. Or to put
            it another way; procrastinate.
        </p>
        <p>
            What about you, how do you start?
        </p>
        <p>
            <i>Thanks for reading</i>
        </p>
