---
tags: post
layout: "layouts/article.njk"
title: "Overawe"
date: "2015-06-25"
meta:
  description:
    For a few months in 2015 I spent my nights and weekends building a strange
    little art project. I used HTML/CSS/JS to create a world where narration
    is unreliable, messages are inconsistent, and sometimes it’s all just a
    joke.
---

<p class="entry-intro">
  Using Web technolgies as a medium for motion graphics was maybe not on the
  mind of Tim Berners-Lee when he came up with the WWW. For the past few months
  I’ve been working on a <a href="http://lab.tylergaw.com/overawe">project</a>
  that does just that.
</p>

<p>
  Web folks–especially those of us working on the front-end of things–tend to be
  a bit consumed by tools and process. I sometimes get fatigued by the
  near constant chatter of new frameworks, build tools, package managers,
  plugins and on and on. I enjoy those tools and their benefits, but when
  I get worn down by them I need something to help pull me up and remind me why
  I love working on the Web. Our tools and processes are just means. I needed
  to work on something that would allow me to focus 100% on the end. Where the code creating
  it was unimportant. Where I could do things the long, hard, stupid way. And where I could bend and
  break best practices. That’s what I set out to do with what became
  <a href="http://lab.tylergaw.com/overawe">Overawe</a>.
</p>

<h2>What is this?</h2>
<p>
  I’m no stranger to using HTML/CSS to build projects that <a href="http://lab.tylergaw.com/themanfromhollywood/">exist</a>
  <a href="http://lab.tylergaw.com/css-shaky-animation/">a bit</a>
  <a href="http://lab.tylergaw.com/css-true-titles/">outside the norm</a>. Until now
  I’ve considered these projects “experiments”. They seemed like a way to try
  out new–at the time–CSS features. I think I’m beyond that point. Things like
  CSS animations are here to stay. With Overawe–and other projects like
  it I’ll do–I’m not experimenting with CSS anymore. I’m choosing the web as my
  preferred medium for creating art.
  HTML, CSS, and JavaScript are my paintbrushes and web browsers are my canvases.
  And how cool is that? There's not a single, fixed size, always-the-same canvas.
  Each browser and each operating system and each computer that runs Overawe will
  run it a bit different. This is due to feature implementation, processor
  strength, etc. It’s also different based on each viewers' preferences. What size
  is their screen? Are they running their browser in full screen or presentation mode?
  Do they have a slow network connection?
  Do they have a bunch of other programs running that will cause Overawe to stutter?
</p>
<p>
  For each one of the questions and many others, there is an effect on the project
  and how each viewer experiences it. I think that's incredible. Some people will
  hate it because it doesn't appear to do anything. For some it will run
  the same as it does for me on my local development server. I have no control
  over it and that makes it fun.
</p>

<h2>Where did this come from?</h2>
<p>
  The idea for the format came from those cool MTV identities. You know, the short clips
  they play between segments. If you're not familiar,
  <a href="https://www.youtube.com/watch?v=3u_UQoMViEM">here’s an hour of them </a>.
  I wanted to make something similar by pairing graphics with short audio
  clips. Each section is independent of the others. With some of them I have an
  idea about what it means and what I’m saying with it. Others, I made just because they
  give me chuckle.
</p>
<p>
  Coming up with each section would be sporadic. Sometimes I would sit down and
  just start writing words and phrases that popped into my head. Other times I would
  be walking or taking shower or just doing other things and an idea for a section
  would come into my head. The process was loose. Once I had a phrase or an idea
  I'd hop into Photoshop and just play. I tried not to spend too much time on any
  one section. I would just throw together text and images and apply whichever
  styles and filters felt right at the time. I didn't worry about “mistakes”. Because
  this project was about creating a little world of it's own, there are no mistakes.
  Whatever ended up on the screen was supposed to be there in that form.
</p>
<h2>How did you do this?</h2>
<p>
  While I don’t want this article or poject to be defined by the means of creation, I do want
  them to be available to anyone curious. As with most of my projects, you can
  access the <a href="https://github.com/tylergaw/overawe">source code on Github</a>.
  All the animations are done using CSS. I did make use of the Web Audio API to
  fiddle with the audio clips. Each one is different, but I do things like
  speed up or slow down playback, add distortion, and apply high and low band filters.
  This is another area that gets interesting in different browsers. The Web Audio API
  is implemented different across browsers so the audio sounds different depending
  on which one you're using.
</p>
<p>
  This was a lot of fun. Any time I get to sit down and create my own little
  world is good time. If no other person saw this but me, it’s still served it’s
  purpose. It allowed me to just make a thifng without the normal internal
  debates about if I was doing every little thing the "right" way. I encourage everyone to
  do the same regardless of the medium.
</p>
<p>
  <a href="http://lab.tylergaw.com/overawe">http://lab.tylergaw.com/overawe</a>
  <br>
  <a href="https://github.com/tylergaw/overawe">https://github.com/tylergaw/overawe</a>
</p>
<p>
  <i>Thanks for reading</i>
</p>
