---
tags: post
layout: "layouts/article.njk"
title: "Realign 2020: Realigned"
date: "2021-02-27"
meta:
  description: A year of web design and progress and trauma and trying.
  image: /blog/assets/post-image-realign-2020-realigned.png
  card: summary
---

<p class="entry-intro">
  A year ago today I wrote <a href="/blog/realign-2020">Realign 2020</a>. A typical designery blog post
  where I declared my intent to redesign and rebuild my site and write about it along
  the way.
</p>

Through 2020 I did that. I did the work. It's live now. I’m super happy with
the results. I didn't write all the posts I wanted to, but that's OK. Here's the posts I did write.

- [Realign 2020: Typography](/blog/realign-2020-typography)
- [Realign 2020: Logo](/blog/realign-2020-logo)
- [Realign 2020: Color](/blog/realign-2020-color)

and the posts I planned, but didn’t write

- Realign 2020: Content
- Realign 2020: Netlify
- Realign 2020: Tooling Updates

I did all the work that would have been in those posts, but just didn't write about it. I made the classic mistake. I started out with small updates; type, color, logo. And published those posts after each chunk of work. But then? I made a mess. I made a git branch with the ominous name "rebuild." So, of course, that turned into an amorphous catch-all. That [pull request](https://github.com/tylergaw/tylergaw.com/pull/46) got so far ahead of the main branch that I had to do everything in it. And that made it so I didn't want to write blog posts because I was worried about merge conflicts and just general dred of having a huge pull request. I worked in that branch from August 2020 to February 2021.

This was fine though. When I started the realign in February 2020, I didn’t set a launch date for myself on purpose. Just 2020. I wanted to give myself the space to think and the time to work. And I think it shows in the results.

2020 was also a hard year. For everyone. The trauma of living through the combination of a pandemic and insurrection and existential climate crisis makes just a teensy bit difficult to wrok. The daily dred impacts the creative process in awful ways. I don't do this work because of external pressue. I do this work because I’m compelled to do it. I **have** to do it. I **need** to do it. That compulsion to do creative work doesn't go away during hard times. But the energy to act on that compulsion does. That leads to feelings of lack of accomplishment and a constant feeling of something in the distance that you know you want to get to, but can't will yourself to move towards. I guess? I dunno? Who knows? What was I even talking about? Oh yeah. Web design.

What I’ve landed on with this effort feels like the most accurate picture of my work and of me as a designer that I’ve had. It’s still not the full story. There's so much more that I want to archive on this site. And I will over time. That’s what I’m doing with this site. I’m creating a space where I can house as much information about my work as possible. For myself and for anyone that’s interested.

## What's next?

This is me making another declaration of intent. In 2021 I want to keep working and writing about this website. I want to write about this most recent chunk of work. And I have bunch of other efforts in mind. Here's a list of topics I want to explore on this blog in 2021:

- Switching from [Metalsmith](https://metalsmith.io/) to [Eleventy](https://www.11ty.dev/). This will be light, fun nerd stuff. And I hope helpful for other folks using Eleventy
- How I created a little design world of structured chaos on the home page. I'm using classic grid design techniques to set rules. And then bending and breaking those rules to make things interesting. I’m also using [CSS Grid](https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Grid_Layout) extensively and will describe my approach to it
- Accessibility (a11y) efforts. This is a fancy, funky design, but it’s a website so it has to be accessible. I still have issues to work through, but I’ve taken a lot of care and code already and I want to share that
- All the details! There's so many fun little things. I want to keep a ongoing series called; "Look at this!", or similar, to highlight specific areas of the design and how I built them
- The illustrations! My portait and the Limbo elephant where huge efforts. I’ll share details about my process creating those
- More about my approach to being creative. I'm constantly thinking about and struggling with serious vs solemn, as [Paula Scher](https://youtu.be/atn22-bmTPU) so eloquently described

and two archival efforts I've started and want to continue

- The Groundwork static archive. None of the work we did is still online. I’m going to archive as much of it as I can at [theground.work](https://theground.work) and invite the team to contribute
- Limbo static archive. When we shut down Limbo, we took the site offline. Same as The Groundwork, I'm going to work on a static archive of the site for Chris and I

That's not everything, but that's a lot. Here's to another year of enjoying the process of tending to a personal website.
