---
tags: post
layout: "layouts/article.njk"
title: Realign 2020
date: "2020-02-27"
meta:
  description: Starting another content and design realign for this site.
  image: /articles/assets/post-image-realign-2020-social.png
---

<p class="entry-intro">
  Like other designers, I enjoy updating my personal site every so often. In my
  case I do a <a href="/about#versions">major iteration</a> every couple years
  with minor tweaks between. This current incarnation is almost two years old
  and I’m ready to make major changes.
</p>

<p>
  When I launched this design in 2018 I remember thinking this would be my last
  site. I wasn’t under any illusion that I wouldn’t update this site again in
  the future. Only that I had a solid foundation that I could build on for a
  long time. Even if the changes where major, they’d still be iterations of
  existing content and aesthetics.
</p>

<p>
  I have two main motivations for this year’s realign. First, I want to present
  my work from the last few years in a more complete way. The 2018 verison of
  this site listed projects, but didn’t go into much detail. There’s a lot there
  I want to surface. I’m looking for my next role so I need to present my work
  in a way that show’s what I'm capable of.
</p>
<p>
  Second, I just want it to look cooler and weirder. Heavy emphasis on weird.
  With every iteration of this site since I launched it in 2006 I’ve made
  concerted efforts to make it look much different than the standard web
  designer portfolio/blog website. I don’t have anything against other folks’
  sites, I just want mine to look different and strange.
</p>

<h2>Writing about it</h2>
<p>
  Plenty of other designers are iterating on their personal sites and writing
  about their process. I enjoy reading those. So, I’m going to follow their lead
  and write about my process.
</p>
<p>
  I’ve already started the process in a rough way. For the last few weeks I’ve
  let myself noodle on different areas of the design. I spent a lot of hours
  pushing points around in Illustrator for an updated logo and some fun
  typography squigglevision. I spent, I don’t know how long just fiddling with
  CSS in browser. I wanted time to play a while before I set out to really get
  updated content and design together.
</p>

<p>
  With the initial play I have a rough idea of what I’ll write about. I’ll
  update this post as I go to keep a reference. Some of the topics will change
  and I’ll add more as I go, but below is a rough outline.
</p>

<h3>Realign 2020 Posts</h3>
<ul>
  <li>
    <a href="/blog/realign-2020-typography"
      >Realign 2020: Typography</a
    >
  </li>
  <li>
    <a href="/blog/realign-2020-logo"
      >Realign 2020: Logo</a
    >
  </li>
  <li>
    <a href="/blog/realign-2020-color"
      >Realign 2020: Color</a
    >
  </li>
  <li><a class="link--future"><s>Realign 2020: Content</s></a></li>
  <li><a class="link--future"><s>Realign 2020: Netlify</s></a></li>
  <li><a class="link--future"><s>Realign 2020: Tooling Updates</s></a></li>
</ul>

<p>
  After the the illustration work and in browser playing, I jumped back into
  Sketch to try to get at a more concrete plan and to play more. I won’t
  continue in Sketch to get a “complete” design. I prefer to do a lot in CSS.
  But here's a zoomed out screenshot of my current mess to get an idea of what
  I’m up to.
</p>

<figure>
  <img src="/blog/assets/post-image-realign-2020-initial-sketch.png" alt="A screenshot of a messy Sketch document showing the current status of this site’s design realign"/>
  <figcaption>
    WIP design realign
  </figcaption>
</figure>

<p>
  You can see shell pages started for projects. I have six main buckets of work
  that I want to present in detail. There’s a lot more, but those are the ones
  that I’ll have the time and energy to pull off right now.
</p>

<p>
  Here we go again.
</p>
