---
tags: post
layout: "layouts/article.njk"
title: "Starting Something New"
date: "2017-09-25"
meta:
  description: On September 13, 2017 Chris Dary and I launched our new business, Limbo.
  image: /articles/assets/post-image-limbo-social.png
---

<p class="entry-intro">
  On December 15, 2016 I became unemployed. This was the first time in my career the unemployment was not my choice. The entirety of the company I worked for was RIF’d. If you’re unfamiliar, RIF stands for “reduction-in-force”. We were out of money to pay salaries and RIF was the best case scenario for us at the time.
</p>

<p>
  We were lucky. The founder and team all wanted to keep doing the <a href="https://thegroundwork.com/">work</a> we all felt so close to. There’s a story behind that work that I plan to share in the future. Over the course of two months, we were able to rustle enough contract work to pay salaries for the team members that stuck around. We were hired back in late February 2017.
</p>

<p>
  In that couple month span I was able to stop and breathe for the first time in two and half years. I got to work on <a href="https://tylergaw.com/articles/rewriting-day-player-for-sketch-40">fun</a> <a href="https://tylergaw.com/articles/sass-to-postcss">side</a> <a href="https://tylergaw.com/articles/introducing-colorme">projects</a>. And I was able to ruminate on things I wanted out of my work, career, and life.
</p>

<p>
  Inspired by the loss of a job and the uncertainty and clarity that brings, my thoughts about want I wanted led towards one thing. I wanted to work on a <strong>business that I owned</strong> that I could help build from the ground up. I wasn’t sure what that business should be or how I’d go about it. Then I got an unexpected opportunity from a friend.
</p>

<figure>
  <a href="https://www.limbo.io">
    <img src="https://tylergaw.com/articles/assets/post-image-limbo-1.png" alt="">
  </a>
  <figcaption>
    Limbo is an anonymous job platform
  </figcation>
</figure>

<p>
  On Wednesday, September 13<sup>th</sup>, 2017 <a href="http://www.umbrae.net/">Chris</a> and I launched our new business, <a href="https://www.limbo.io/">Limbo</a>.
<p>
  Chris visited New York from California during my two month “vacation” and invited me for a drink to catch up. We hadn’t seen each other since I’d last visted the Dary’s Berkeley home about a year before. At one point in our conversation about family and work and life he asked; “Can I pitch you an idea?” Of course. He then laid out the idea and business model for Limbo and asked, “are you interested in working on it with me?”
</p>
<p>
  Chris and I met in 2008 when he interviewed me for a position at <a href="https://web.archive.org/web/20080828193240/https://arc90.com">Arc90 <sup>(RIP)</sup></a>. I ended up getting the job and staying there for <a href="https://tylergaw.com/articles/2000-days">five years</a>. In that time, I got to work alongside him on Readability and Readlists and occasional other projects. I saw him conceive of and build <a href="https://kindlingapp.com/">Kindling</a>–which stayed in business for close to a decade. Over the years I saw him do excellent work, make smart decisions, and in general be a great person to be around. Any time I had the chance to work with Chris or even just have a conversation over coffee, I jumped at it.
</p>
<p>
  So when Chris comes to me and asks; “I have an idea, do you want to work on it with me?” I say “yes” because I know it’s going to be a great project.
</p>
<p>
  As expected, Chris didn’t dissapoint this time around. The next day he emailed me what he had so far. It was a lot. He already had the project set up. He had wireframes and rough mocks. He even sent a spreadsheet full of projections and different business model scenarios. Real adult stuff.
</p>
<p>
  So we got to work. Or more accurate, I got to work, he’d already been hard at it.
</p>

<p>
  I was still working full-time at The Groundwork and wanted to keep a hard separation between it and Limbo. To do that, I worked on Limbo mornings, nights, and weekends. My schedule would usually go something like; get up, work on Limbo for 30 minutes or so. Switch to The Groundwork for the day. Stop in the early evening. Take a break. Eat food. Then hop back to Limbo and work until I couldn’t keep my eyes open. Repeat.
</p>

<p>
  Weekdays were always more productive than weekends even with splitting my time. An occasional rainy Saturday or Sunday I’d get things done, but it’s  tough for me to do more computering on the weekend. Too many other things I’d rather do including doing nothing.
</p>

<p>
  And so it went like that for months. My schedule made it take longer to get to launch, but we were making progress every day and now it’s a real, live thing.
</p>

<h2>Unknown unknowns</h2>
<p>
  The feedback we’ve received since launch has been overwhelmingly positive. So there’s <strong>something</strong> there but, this is a business so we can’t say for certain how things will shake out. The goal is for Limbo to be our full time–paying–jobs. We’re doing everything we can to get there.
</p>
<p>
  If you’ve worked with me you know I take ownership of what I’m working on. Not only design and code aspects of what I’m doing. I like to get in there. Co-workers have described me as “vocal.” When I see things in projects or teams or organizations that I think could be better, I offer my thoughts, ideas, and help. This is the opportunity we’re making for ourselves. <strong>We get to ask all the questions.</strong> We get to make decisions about every aspect of the business in a way that reflects our values. This is a chance to make something positive and put it into the world.
</p>

<p>
  One example of the decisions we’re making is around money. In our first conversation we discussed seeking funding versus bootstrapping. We’ve been around long enough and seen enough to know that seeking early outside investment often does not end well. We decided bootstrapping was the way to go. It’s not that we think VC is wrong, it just doesn’t feel right for us on this venture, at this time. We want to see if the business model is sustainable from the day one. Not work on it for years, then get to the common start-up point of “I guess it’s time to figure out how to make money?” We either offer enough value to make enough money or we don’t.
</p>

<p>
  A huge thank you to everyone who’s helped us with Limbo so far. We’re fortunate to have friends who will take time out of their day to try things out, give us feedback, point us in new directions, and offer encouragement.
</p>

<p>
  This feels like the cusp of something. This has the potential to be where we put our energy for years to come. Chris and I have helped design and build world class products for other smart people. Now we’ll see if we can build, nurture, and sustain a business for ourselves.
</p>
