---
tags: post
layout: "layouts/article.njk"
title: "The Impact of Flash"
date: "2017-07-29"
meta:
  description: An exchange with a fellow designer about the end of Flash has me waxing nostalgic about the technology’s impact on me and the Web as a whole.
  image: /articles/assets/post-image-flash.png
---

<p class="entry-intro">
  A short Twitter exchange with <a href="https://twitter.com/mciarlo/status/890931236054720513">Mike</a> made me pause and think about the positive impact <a href="https://blogs.adobe.com/conversations/2017/07/adobe-flash-update.html">Flash</a> has had on me. I felt the need to scribble a few loose thoughts and anecdotes about a technology near its end.
</p>

<p>
  I’m thinking about the time between late 2004 to sometime in 2008. That's the start of my time working with the Web and computers in any real capacity. Flash was still Macromedia Flash. It was pervasive and incredible.
</p>

<p>
  Building websites with HTML and CSS in 2004 to 2007-ish was interesting, but limited. We made 760 pixel fixed-width pages with tiled background images and bad image-based type. And that’s only if you’d made the switch from table-based layouts. Many folks had not. CSS transitions and animations weren’t even on the radar. jQuery wasn't a thing. JavaScript was still considered a toy language for “DHTML” gimmicks by most.
</p>
<p>
  Flash filled a need and did it well. It provided a path to design and publish web sites with as far out graphics and layouts as we could conjure. Being able to work outside the capabilities of browsers was helpful for someone like me. I had a traditional art background and still felt stifled by computer-based design tools and the limits of browsers of the day. Flash was a looser way to learn and develop digital design skills. At the time, making Flash sites was flat out more fun and exciting.
</p>

<h2>Movement and sound</h2>
<p>
  Flash helped many of us learn timing, pacing, and rhythm. It helped us learn how to design to music. Sometimes real music, sometimes the songs in our heads. These concepts aren’t limited to animation. Through the years, I’ve folded motion design concepts into tons of static design. It’s one way to arrive at richer, more interesting designs. I realize this sounds esoteric, it is. It’s squishy, designer-feel stuff, but it often results in design that stirs emotion.
</p>
<p>
  Working in Flash opened doors to designing with other mediums like audio. How many of you also used <a href="http://www.audacityteam.org/">Audacity</a> to create sound effects for use in <code>.swf</code>s? Homemade foley was a constant in my early Flash projects. It was fun and silly and great.
</p>
<p>
  Sites like <a href="http://www.2advanced.com/">2advanced.com</a> displayed a breadth and depth to designing with motion and sound on the Web. At the time, you could not find that with sites built with web standards alone. Seeing what was possible opened eyes and removed barriers. If 2Advanced and others could do work like that, so could we. And later, when technology caught up, we learned we could do it without Flash.
</p>
<p>
  These concepts and approaches we learned weren’t lost when we stopped using Flash. We rolled them along to CSS and JavaScript and iOS and Android. The rich motion we now expect from digital products is no doubt inspired and learned by earlier work done with Flash.
</p>

<h2>Typography</h2>
<p>
  We would not have the typographic capabilities on the Web we have today if not for Flash. <a href="https://en.wikipedia.org/wiki/Scalable_Inman_Flash_Replacement">sIFR</a> let us explore what was possible with custom type in web pages. There were no other options at the time. <code>@font-face</code> would not exist for a couple years. It would be more years still until it had wide enough browser support you could use it.
</p>
<p>
  In this instance, Flash was a polyfill. Using Flash to embed custom fonts helped us learn what we wanted from typography on the Web. That knowledge informed specifications and browser vendors were then able to make the specs reality. This feels, to me, like the most day-to-day, “bread and butter” impact Flash had on the Web.
</p>

<h2>Learning to code</h2>

<p>
  Everything in this post is from my perspective, but this section is 100% about my experience. Everyone who writes code learned in a different way. I learned to program using ActionScript 2.0 within Flash so I hold it in high regard. ActionScript was my introduction to basic programming concepts; variables, conditionals, loops, and functions. I took to it well I think because it was the first time I’d seen code tied to a fun end result. Write code, see something fun happen in a <code>.swf</code>. It was immediate and tangible so it stuck.
</p>
<p>
  Writing ActionScript also taught me how to think in code and convince a computer to do what I wanted. Often times the convincing wasn’t done in an elegant way. I remember my final for an Advanced ActionScript course in college. I got half credit on one programming task because I made it work, but did so in some roundabout way. That’s representative of how I write code today. I may not always have the most elegant solution, but I'll get it done no matter what.
</p>

<h2>It’s really the humans</h2>

<p>
  In Mike’s tweet he used “nostalgic.” I wasn’t sure at the time if I felt nostalgia about Flash or not.
</p>

<blockquote>
  <p>
    a sentimental longing or wistful affection for the past, typically for a period or place with happy personal associations.
  </p>
</blockquote>

<p>
  After thinking and writing about this, yes I do. I’m not nostalgic about the technology itself though. Flash, like all other technology, is a means to an end. Thinking about Flash reminds me of that time in my life. It reminds me of the work I was doing, the rush of new ideas, and the thrill of making new things. It reminds me of the people I was working with, most of whom I haven't spoken to in the years since. So yeah, I think I’ll always look back on that time with “wistful affection”.
</p>

<p>
  We’re doing what we always do, moving on. We learn, we evolve, we evolve our tools. This is a good thing and a constant in our field. At the same time it’s important to witness and remember the steps in our evolution.
<p>
  Even though it has a couple more years of life, Flash’s time has come and gone. Flash's positives far outweigh its negatives and its impact will persist for years after it’s gone.
</p>
